weka.core.pmml.jaxbbindings

## Enum DATATYPE

- java.lang.Object
- - java.lang.Enum<DATATYPE>
  - - weka.core.pmml.jaxbbindings.DATATYPE

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DATATYPE>

      public enum DATATYPE
      extends java.lang.Enum<DATATYPE>

  Java class for DATATYPE.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="DATATYPE">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="string"/>
           <enumeration value="integer"/>
           <enumeration value="float"/>
           <enumeration value="double"/>
           <enumeration value="boolean"/>
           <enumeration value="date"/>
           <enumeration value="time"/>
           <enumeration value="dateTime"/>
           <enumeration value="dateDaysSince[0]"/>
           <enumeration value="dateDaysSince[1960]"/>
           <enumeration value="dateDaysSince[1970]"/>
           <enumeration value="dateDaysSince[1980]"/>
           <enumeration value="timeSeconds"/>
           <enumeration value="dateTimeSecondsSince[0]"/>
           <enumeration value="dateTimeSecondsSince[1960]"/>
           <enumeration value="dateTimeSecondsSince[1970]"/>
           <enumeration value="dateTimeSecondsSince[1980]"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOLEAN`
    `DATE`
    `DATE_DAYS_SINCE_0`
    `DATE_DAYS_SINCE_1960`
    `DATE_DAYS_SINCE_1970`
    `DATE_DAYS_SINCE_1980`
    `DATE_TIME`
    `DATE_TIME_SECONDS_SINCE_0`
    `DATE_TIME_SECONDS_SINCE_1960`
    `DATE_TIME_SECONDS_SINCE_1970`
    `DATE_TIME_SECONDS_SINCE_1980`
    `DOUBLE`
    `FLOAT`
    `INTEGER`
    `STRING`
    `TIME`
    `TIME_SECONDS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DATATYPE` | `fromValue(java.lang.String v)`
    `java.lang.String` | `value()`
    `static DATATYPE` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DATATYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BOOLEAN

          public static final DATATYPE BOOLEAN

    - #### DATE

          public static final DATATYPE DATE

    - #### DATE_DAYS_SINCE_0

          public static final DATATYPE DATE_DAYS_SINCE_0

    - #### DATE_DAYS_SINCE_1960

          public static final DATATYPE DATE_DAYS_SINCE_1960

    - #### DATE_DAYS_SINCE_1970

          public static final DATATYPE DATE_DAYS_SINCE_1970

    - #### DATE_DAYS_SINCE_1980

          public static final DATATYPE DATE_DAYS_SINCE_1980

    - #### DATE_TIME

          public static final DATATYPE DATE_TIME

    - #### DATE_TIME_SECONDS_SINCE_0

          public static final DATATYPE DATE_TIME_SECONDS_SINCE_0

    - #### DATE_TIME_SECONDS_SINCE_1960

          public static final DATATYPE DATE_TIME_SECONDS_SINCE_1960

    - #### DATE_TIME_SECONDS_SINCE_1970

          public static final DATATYPE DATE_TIME_SECONDS_SINCE_1970

    - #### DATE_TIME_SECONDS_SINCE_1980

          public static final DATATYPE DATE_TIME_SECONDS_SINCE_1980

    - #### DOUBLE

          public static final DATATYPE DOUBLE

    - #### FLOAT

          public static final DATATYPE FLOAT

    - #### INTEGER

          public static final DATATYPE INTEGER

    - #### STRING

          public static final DATATYPE STRING

    - #### TIME

          public static final DATATYPE TIME

    - #### TIME_SECONDS

          public static final DATATYPE TIME_SECONDS

  - ### Method Detail

    - #### values

          public static DATATYPE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DATATYPE c : DATATYPE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DATATYPE valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public java.lang.String value()

    - #### fromValue

          public static DATATYPE fromValue(java.lang.String v)